// pages/about/invite.js
const app = getApp()
const api = require('../../api/index')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgHttp:app.globalData.imghttp,
    personList:[],
    total:0,
    inviteCode:'123'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.inviteUser()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  //邀请用户
  async inviteUser(){
    this.getPerson()
    this.getinvitePerson()
    this.showShareMenu()
  },
  //获取已邀请的人员
  getinvitePerson(){
    
    api.queryInvitedPerson().then(res=>{
      if(res.code == 200){
        var data = res.data.data
        data.forEach(item=>{
          item.phoneNum = this.hideMiddleFour(item.phoneNum)
        })
        this.setData(
          {
            personList:data,
            total:res.data.total
          }
        )
      }
    })
  },
  //隐藏手机号
  hideMiddleFour(phoneNumber) {  
    // 假设phoneNumber是一个有效的手机号码字符串  
    if(!phoneNumber){
      return ''
    }
    if (phoneNumber.length < 11) {  
      return '无效的手机号码';  
    }  
    // 截取前三位  
    let firstPart = phoneNumber.slice(0, 3);  
    // 截取后四位  
    let lastPart = phoneNumber.slice(-4);  
    // 拼接并添加隐藏标记  
    return `${firstPart}****${lastPart}`;  
  },  
  getPerson(){
    api.selectPerson({},false).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            inviteCode:res.data.uuid
          }
        )
      }
    }).catch(error=>{
    })
  },
  showShareMenu: function() {  
    wx.showShareMenu({  
      withShareTicket: true ,
    });  
  }, 


  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {
    return {  
      title: '邀请好友加入',  
      path:"/pages/login/login?inviteCode=" + this.data.inviteCode,
      imageUrl:'/static/image/邀请封面图.jpg'
    } 
  }
})